Contributing
------------
Awesome! Here are some guidelines:
 * **Contributions will not be accepted without tests.**
 * If you're creating a small fix or patch to an existing feature, just a simple
  test will do. Please stay in the confines of the current test suite and use
  [RSpec](https://github.com/rspec/rspec).
 * If your contribution changes any behavior, make sure to update the
  documentation.
 * Please follow the [GitHub Ruby Styleguide](https://github.com/styleguide/ruby)
  when modifying Ruby code.

Running the tests
-----------------
```
rspec spec/*_spec.rb
```

Basic Steps
-----------
 * Fork it
 * Create your feature branch (git checkout -b my-new-feature)
 * Commit your changes (git commit -am 'Add some feature')
 * Make sure the tests pass (rspec spec/*_spec.rb)
 * Push to the branch (git push origin my-new-feature)
 * Create new [Pull Request](https://help.github.com/articles/using-pull-requests)
